## libsemanage 1.4

=== Makefile ===
all: 
	$(MAKE) -C src all

install: 
	$(MAKE) -C include install
	$(MAKE) -C src install

relabel:

clean:
	$(MAKE) -C src clean
