## libsemanage 1.8

=== Makefile ===
--- 
+++ 
@@ -17,4 +17,10 @@
 
 clean distclean:
 	$(MAKE) -C src $@
+	$(MAKE) -C tests $@
 
+indent:
+	$(MAKE) -C src $@
+	$(MAKE) -C include $@
+
+test:
