=== include/Makefile ===
--- 
+++ 
@@ -5,3 +5,6 @@
 install:
 	test -d $(INCDIR) || install -m 755 -d $(INCDIR)
 	install -m 644 $(wildcard semanage/*.h) $(INCDIR)
+
+indent:
+	../../Lindent $(wildcard semanage/*.h)
