## libsemanage 2.0.3

=== Makefile ===
--- 
+++ 
@@ -23,4 +23,5 @@
 	$(MAKE) -C src $@
 	$(MAKE) -C include $@
 
-test:
+test: all
+	$(MAKE) -C tests test
