=== src/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 pywrap: all $(SWIGLOBJ) $(SWIGSO) 
 
 $(SWIGLOBJ): $(SWIGCOUT)
-	$(CC) $(CFLAGS) -I$(PYINC) -fpic -DSHARED -c -o $@ $<
+	$(CC) $(CFLAGS) -I$(PYINC) -fPIC -DSHARED -c -o $@ $<
 
 $(SWIGSO): $(SWIGLOBJ)
 	$(CC) $(LDFLAGS) -shared -o $@ $< -L. -lsemanage -l$(PYLIBVER) -L$(LIBDIR) -Wl,-soname,$@,-z,defs
@@ -69,7 +69,7 @@
 	$(CC) $(CFLAGS) -c -o $@ $<
 
 %.lo:  %.c
-	$(CC) $(CFLAGS) -fpic -DSHARED -c -o $@ $<
+	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<
 
 $(SWIGCOUT): $(SWIGIF)
 	$(SWIG) $^
@@ -99,6 +99,6 @@
 	rm -f $(SWIGCOUT) $(SWIGFILES)
 
 indent:
-	../../Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))
+	../../scripts/Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))
 
 .PHONY: all clean pywrap swigify install install-pywrap distclean
