## libsemanage 2.0.23

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 all: 
 	$(MAKE) -C src all
+
+swigify:
+	$(MAKE) -C src swigify
 
 pywrap: 
 	$(MAKE) -C src pywrap
