## libsemanage 2.0.25

=== src/Makefile ===
--- 
+++ 
@@ -71,6 +71,18 @@
 %.lo:  %.c
 	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<
 
+conf-parse.o:  conf-parse.c
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -c -o $@ $<
+
+conf-parse.lo:  conf-parse.c
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -DSHARED -c -o $@ $<
+
+conf-scan.o:  conf-scan.c
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -c -o $@ $<
+
+conf-scan.lo:  conf-scan.c
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -fPIC -DSHARED -c -o $@ $<
+
 $(SWIGCOUT): $(SWIGIF)
 	$(SWIG) $^
