## libsemanage 2.0.45

=== include/Makefile ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	install -m 644 $(wildcard semanage/*.h) $(INCDIR)
 
 indent:
-	../../Lindent $(wildcard semanage/*.h)
+	../../scripts/Lindent $(wildcard semanage/*.h)
