## libsemanage 2.2

=== debian/changelog ===
libsemanage (2.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - Drop debian/patches/max-uid: Merged upstream
    - Drop debian/patches/fix_swig_python_exception.patch: Merged upstream
    - debian/control:
      + Bump {build-}dependencies to match new release
      + Add libaudit-dev to the build-dependencies

 -- Laurent Bigonville <bigon@debian.org>  Fri, 01 Nov 2013 23:24:34 +0100

libsemanage (2.1.10-3) unstable; urgency=low

  * Team upload.
  * debian/patches/disable-expand-check.patch: Disable expand-check option by
    default to speedup semodule operations (Closes: #724999)
  * debian/control: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/rules: Stop building binding for ruby 1.8 and start building it for
    ruby 2.0 (Closes: #720220)
  * debian/control, debian/rules: Drop libsemanage-ruby1.8 transitional
    package
  * debian/control: Use canonical URL for VCS-Git field

 -- Laurent Bigonville <bigon@debian.org>  Wed, 02 Oct 2013 21:25:16 +0200

libsemanage (2.1.10-2) unstable; urgency=low

  * Team upload.
  * debian/control: Add Build-dependency against pkg-config
  * debian/rules: Do not build the bindings if we are in "stage1", this help to
    bootstrap new architectures (Closes: #708404)
  * debian/rules: Fix FTBFS with multiarched python
  * debian/patches/fix_swig_python_exception.patch: Fix the generation of the
    semanageswig_python_exception.i file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 May 2013 19:21:45 +0200

libsemanage (2.1.10-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - debian/control: Bump (build-) dependencies to match the release
    - debian/patches/max-uid: Refreshed

 -- Laurent Bigonville <bigon@debian.org>  Fri, 10 May 2013 00:04:07 +0200

libsemanage (2.1.9-1) experimental; urgency=low

  * Team upload.
  * New upstream release
    - Drop debian/patches/fallback-user-level, applied upstream
    - Drop debian/patches/no-link-libpython.patch, applied upstream
    - Refreshed debian/patches/makefile
    - Drop debian/patches/prefix-rubymodule.patch, applied upstream
    - Drop debian/patches/python-semanage-make, not needed anymore
    - debian/patches/max-uid: Drop useless changes
    - Bump libsepol1 and libselinux1 {build-}dependencies
    - debian/rules: Also pass RUBYINC for ruby 1.8 and add missing -I for 1.9
    - Drop debian/patches/makefile, not needed anymore
  * Update debian/watch file
  * debian/gbp.conf: Change the debian-branch to "debian" instead of "upstream"

 -- Laurent Bigonville <bigon@debian.org>  Wed, 26 Sep 2012 14:38:38 +0200
